It is possible to compile tmwserv under Ubuntu Dapper Drake?

Ask for help regarding any technical issue or report any bug or OS independent issues.
Post Reply
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Wed Feb 27, 2008 3:53 pm

Hello,

it is possible to compile tmwserv under Ubuntu Dapper Drake and are special requirements needed?

regards seeseekey
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: Thu Dec 09, 2004 7:50 pm
Location: North Rhine-Westphalia, Germany
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by Bjørn » Wed Feb 27, 2008 6:30 pm

It's definitely possible, but you'll have to compile/install ENet (enet.bespin.org) manually. I think the rest of the dependencies you can just install with apt-get.

Actually since our testing server is using ENet 1.2, this applies to any version of Ubuntu since even Hardy is still at ENet 1.1, which isn't fully protocol-compatible.
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Wed Feb 27, 2008 9:12 pm

I try this under Ubuntu 6. The Script autogen.sh output is "not supported source file". I think automake is to old (v1.4) but i can't upgrade it.

Under Debian 4 the configure Skript cant find the libcrypto and i cant install it over apt-get. It exists no packet namend libcrypto, lcrypto or so.

Have anyone ideas?
User avatar
Jaxad0127
TMW Adviser
TMW Adviser
Posts: 4209
Joined: Thu Nov 01, 2007 6:35 pm
Location: Internet

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by Jaxad0127 » Wed Feb 27, 2008 9:25 pm

Under Dapper, the libcrypto package is named libcrypto++5.2c2a. It appears to be similar under Debain.
Image
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Thu Feb 28, 2008 9:15 am

I install libcrypto++5.2c2a and libcrypto++-dev and after this i start the configure script:

Code: Select all

$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets $(MAKE)... no
checking for working aclocal-1.4... found
checking for working autoconf... found
checking for working automake-1.4... found
checking for working autoheader... found
checking for working makeinfo... missing
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking for EVP_md5 in -lcrypto... no
configure: error:  *** Unable to find libcrypto library
$
Is this a another cryptolib or do I something wrong?
User avatar
blueberry
Novice
Novice
Posts: 107
Joined: Tue Feb 27, 2007 12:26 am
Location: Graz, Austria

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by blueberry » Thu Feb 28, 2008 10:07 am

You might have the same problem i had. (http://forums.themanaworld.org/viewtopic.php?f=7&t=3558)
Make sure the libssl-dev package is installed too!
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Thu Feb 28, 2008 10:37 am

After install of libssl-dev and enet 1.2 (from http://enet.bespin.org/download/enet-1.2.tar.gz), i restart the configure script:

Code: Select all

$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets $(MAKE)... yes
checking for working aclocal-1.4... found
checking for working autoconf... found
checking for working automake-1.4... found
checking for working autoheader... found
checking for working makeinfo... missing
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking for EVP_md5 in -lcrypto... yes
checking for PHYSFS_init in -lphysfs... yes
checking for enet_initialize in -lenet... yes
./configure: line 3502: syntax error near unexpected token `XML2,'
./configure: line 3502: `PKG_CHECK_MODULES(XML2, libxml-2.0 >= 2.4)'
$
I dont realy understand this error. Is my libxml outdated or is this a another fault?

EDIT: I had compile the newest cvs version but the error comes again. I had the library but the error comes again and again.
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Fri Feb 29, 2008 9:46 am

I try again to compile tmwserv on Ubuntu Dapper Drake:

My install script:

Code: Select all

$ apt-get upgrade
$ apt-get install subversion automake make gcc g++ libsdl-net1.2-dev libsdl-mixer1.2-dev libphysfs-dev libxml2-dev libssl-dev   libsqlite3-dev liblua5.1-dev
$ wget http://enet.bespin.org/download/enet-1.2.tar.gz
$ tar xf enet-1.2.tar.gz
$ cd enet-1.2
$ ./configure
$ make
$ make install
After this i check out the tmw svn an try to compile:

Code: Select all

$ svn co https://themanaworld.svn.sourceforge.net/svnroot/themanaworld
$ cd themanaworld/tmwserv/trunk/
$ ./autogen.sh
Generating build information using aclocal, autoheader, automake and autoconf.

configure.ac: 6: `automake requires `AM_CONFIG_HEADER', not `AC_CONFIG_HEADER'
configure.ac: 6: required file `./[config.h].in' not found
src/Makefile.am:7: tmwserv_account_SOURCES defined both conditionally and unconditionally
src/Makefile.am:69: tmwserv_game_SOURCES defined both conditionally and unconditionally
src/Makefile.am:3: option `subdir-objects' not recognized
automake: src/Makefile.am: not supported: source file `account-server/main-account.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/account.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/account.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/accountclient.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/accountclient.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/accounthandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/accounthandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/character.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/character.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/dalstorage.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/dalstorage.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/dalstoragesql.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/guild.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/guild.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/guildmanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/guildmanager.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/serverhandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `account-server/serverhandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chathandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chathandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chatclient.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chatchannel.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chatchannel.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chatchannelmanager.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `chat-server/chatchannelmanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/configuration.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/configuration.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/inventorydata.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/dalexcept.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/dataprovider.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/dataprovider.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/dataproviderfactory.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/dataproviderfactory.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/recordset.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `dal/recordset.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connectionhandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connectionhandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messagein.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messagein.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messageout.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messageout.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/netcomputer.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/netcomputer.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `serialize/characterdata.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/functors.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/logger.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/logger.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/processorutils.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/processorutils.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/stringfilter.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/stringfilter.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/timer.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokencollector.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokencollector.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokendispenser.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokendispenser.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/xml.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/xml.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/main-game.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/configuration.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/configuration.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `common/inventorydata.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/accountconnection.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/accountconnection.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/being.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/being.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/buysell.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/buysell.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/character.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/character.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/collisiondetection.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/collisiondetection.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/command.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/eventlistener.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/gamehandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/gamehandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/inventory.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/inventory.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/item.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/item.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/itemmanager.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/itemmanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/map.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/map.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapcomposite.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapcomposite.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapmanager.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapmanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapreader.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/mapreader.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/monster.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/monster.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/monstermanager.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/monstermanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/movingobject.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/movingobject.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/npc.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/npc.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/object.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/quest.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/quest.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/resourcemanager.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/resourcemanager.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/spawnarea.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/spawnarea.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/state.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/state.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/testing.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/thing.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/thing.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/trade.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/trade.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/trigger.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `game-server/trigger.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connection.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connection.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connectionhandler.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/connectionhandler.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messagein.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messagein.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messageout.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/messageout.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/netcomputer.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `net/netcomputer.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `scripting/script.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `scripting/script.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `serialize/characterdata.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/base64.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/base64.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/mathutils.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/mathutils.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/logger.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/logger.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/processorutils.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/processorutils.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/stringfilter.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/stringfilter.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/timer.h' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/timer.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/trim.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokencollector.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokencollector.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokendispenser.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/tokendispenser.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/xml.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/xml.cpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/zlib.hpp' is in subdirectory
automake: src/Makefile.am: not supported: source file `utils/zlib.cpp' is in subdirectory

Now you are ready to run ./configure
$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets $(MAKE)... yes
checking for working aclocal-1.4... found
checking for working autoconf... found
checking for working automake-1.4... found
checking for working autoheader... found
checking for working makeinfo... missing
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking for EVP_md5 in -lcrypto... yes
checking for PHYSFS_init in -lphysfs... yes
checking for enet_initialize in -lenet... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XML2... yes
checking for egrep... grep -E
checking for ANSI C header files... yes
checking whether time.h and sys/time.h may both be included... yes
checking for vprintf... yes
checking for _doprnt... no
checking for atexit... yes
checking for SQLITE... yes
checking for LUA... checking for LUA... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating config.h
config.status: config.h is unchanged

-------------------------------------------------------
  TMW Server will be compiled with these options:

    + storage backend     : sqlite
    + Lua scripting engine: yes
-------------------------------------------------------

$ make
cd . && autoheader
make[1]: Entering directory `/root/themanaworld/tmwserv/trunk'
cd . && autoheader
make[1]: Leaving directory `/root/themanaworld/tmwserv/trunk'
cd . \
	  && CONFIG_FILES= CONFIG_HEADERS=[config.h] \
	     /bin/sh ./config.status
config.status: creating [config.h]
config.status: error: cannot find input file: [config.h].in
make: *** [stamp-h] Error 1
make says that it cannot find input file [config.h].in but the file exists? I'am confused.
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: Thu Dec 09, 2004 7:50 pm
Location: North Rhine-Westphalia, Germany
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by Bjørn » Tue Mar 04, 2008 7:56 pm

Please install the automake1.9 package, since in Dapper Drake, the default 'automake' version that is installed is 1.4, which is probably too old. Just to be sure, remove the automake1.4 package if you have it installed.

Note that you have to install ENet as root if you don't pass a different prefix than the default (/usr/local) to its configure script. And if you choose to use /usr/local, you should remember to add /usr/local/include and /usr/local/lib to the appropriate environment variables. The same goes for Guichan.
seeseekey
Peon
Peon
Posts: 21
Joined: Thu Aug 23, 2007 6:07 pm
Contact:

Re: It is possible to compile tmwserv under Ubuntu Dapper Drake?

Post by seeseekey » Thu Mar 06, 2008 10:35 am

Yes, it works. Thank you at all for help :)
Post Reply